/*
 * Copyright (C) 2001-2011 Jacek Sieka, arnetheduck on gmail point com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef FAV_HUB_PROPERTIES_H
#define FAV_HUB_PROPERTIES_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class FavoriteHubEntry;

class FavHubProperties {
public:
	FavHubProperties::FavHubProperties(FavoriteHubEntry *_entry) : entry(_entry), m_hWnd(NULL) { }
	~FavHubProperties() { }

	enum { IDD = IDD_FAVORITEHUB };

    static INT_PTR CALLBACK FavHubPropertiesDlgProc(HWND hWndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
    LRESULT FavHubPropertiesProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	
	void OnInitDialog();
	void OnCloseCmd(WORD wID);
	void OnTextChanged(WORD wID, HWND hWndCtl);
	INT_PTR DoModal(HWND hWndParent);

    HWND m_hWnd;
protected:
	FavoriteHubEntry *entry;
};

#endif // FAV_HUB_PROPERTIES_H

/*
 * Some parts Copyright (C) 2002-2011 Petr Kozelka, PPK at czdc dot org
 * Licensed under GNU General Public License version 3.
 */
