/*
 * Copyright (C) 2001-2011 Jacek Sieka, arnetheduck on gmail point com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef LINE_DLG_H
#define LINE_DLG_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class LineDlg {
public:
    LineDlg() : password(false), m_hWnd(NULL) { }

    static INT_PTR CALLBACK LineDlgProc(HWND hWndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
	LRESULT LineProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

	INT_PTR DoModal(HWND hWndParent);

    HWND m_hWnd;

	tstring line;
	tstring description;
	tstring title;
	bool password;
private:
	void onFocus();
	void OnInitDialog();
	void OnCloseCmd(WORD wID);
};

class KickDlg {
public:
    KickDlg() { m_hWnd = NULL; };

    static INT_PTR CALLBACK KickDlgProc(HWND hWndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
	LRESULT KickProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

	INT_PTR DoModal(HWND hWndParent);

    HWND m_hWnd;

	tstring line;
	static tstring m_sLastMsg;
	tstring description;
	tstring title;
private:
	void onFocus();
	void OnInitDialog();
	void OnCloseCmd(WORD wID);

	tstring Msgs[20];
};

#endif // LINE_DLG_H

/*
 * Some parts Copyright (C) 2002-2011 Petr Kozelka, PPK at czdc dot org
 * Licensed under GNU General Public License version 3.
 */
