/*
 * CzDC - client for Direct Connect peer to peer network.

 * Copyright (C) 2002-2011 Petr Kozelka, PPK at CzDC dot org

 * CzDC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3
 * as published by the Free Software Foundation.

 * CzDC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with CzDC. If not, see <http://www.gnu.org/licenses/>.
 */

//----------------------------------------------------------------------------------------------------------------------------------------------------
#ifndef EXPERT_PAGE_H
#define EXPERT_PAGE_H
//----------------------------------------------------------------------------------------------------------------------------------------------------
#pragma once
//----------------------------------------------------------------------------------------------------------------------------------------------------
#include "PropPage.h"
#include "ExListViewCtrl.h"
//----------------------------------------------------------------------------------------------------------------------------------------------------

class ExpertPage : public PropPage {
public:
	ExpertPage(SettingsManager *s);
	~ExpertPage();

	void onInitDialog();

	// Common PropPage interface
	PROPSHEETPAGE *getPSP() { return &m_psp; }
	void write();
private:
	static Item items[];
	static TextItem texts[];
	TCHAR* title;

    static BOOL CALLBACK ExpertPageProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
};
//----------------------------------------------------------------------------------------------------------------------------------------------------

#endif
